%define anolis_release 2
%global modname scour
%global sum     An SVG scrubber

Name:               python-scour
Version:            0.38.2
Release:            %{anolis_release}%{?dist}
Summary:            %{sum}

License:            Apache-2.0 AND BSD-3-Clause
URL:                https://github.com/scour-project/scour
Source0:            %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
# Tests
BuildRequires:      python3-six

BuildArch:          noarch

%description
%{sum}.


%package -n python3-%{modname}
Summary:            %{sum}
Requires: python3-packaging

%description -n python3-%{modname}
%{sum}.

%package -n python3-%{modname}-doc
Summary:        doc files for python3-%{modname}
Requires:       python3-%{modname} = %{EVR}

%description -n python3-%{modname}-doc
doc files for python3-%{modname}

%prep
%autosetup -n %{modname}-%{version}

# Better safe than sorry
find . -type f -name '*.py' -exec sed -i /env\ python/d {} ';'
find . -type f -name '*.py' -exec sed -i /env\ python/d {} ';'

%build
%py3_build

%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{modname}
%license LICENSE
%{_bindir}/%{modname}
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}*

%files -n python3-%{modname}-doc
%doc README.md

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.38.2-2
- Rebuild with python3.11

* Sat Mar 25 2023 happy_orange <songnannan@linux.alibaba.com> - 0.38.2-1
- init package from upstream
